libflickr-api-perl_1.10-1_all.deb


Advertisement

Description

libflickr-api-perl - Perl interface to the Flickr API

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libflickr-api-perl
Package version 1.10
Package release 1
Package architecture all
Package type deb
Installed size 75 B
Download size 18.16 KB
Official Mirror ftp.br.debian.org
Flickr::API is a simple interface for using the Flickr API in Perl. It is a
subclass of LWP::UserAgent, so all of the various proxy, request limit, cache
and other options are available.

Alternatives

Package Version Architecture Repository
libflickr-api-perl_1.10-1_all.deb 1.10 all Debian Main
libflickr-api-perl - - -

Requires

Name Value
libhttp-message-perl -
liburi-perl -
libwww-perl -
libwww-perl << 6
libxml-parser-lite-tree-perl -
perl -

Download

Type URL
Binary Package libflickr-api-perl_1.10-1_all.deb
Source Package libflickr-api-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libflickr-api-perl deb package:
    # sudo apt-get install libflickr-api-perl

Files

Path
/usr/share/doc/libflickr-api-perl/changelog.Debian.gz
/usr/share/doc/libflickr-api-perl/changelog.gz
/usr/share/doc/libflickr-api-perl/copyright
/usr/share/man/man3/Flickr::API.3pm.gz
/usr/share/man/man3/Flickr::API::Request.3pm.gz
/usr/share/man/man3/Flickr::API::Response.3pm.gz
/usr/share/perl5/Flickr/API.pm
/usr/share/perl5/Flickr/API/Request.pm
/usr/share/perl5/Flickr/API/Response.pm

Changelog

2014-07-04 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.10-1) unstable; urgency=medium
* New upstream release.
2014-06-19 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.09-1) unstable; urgency=medium
* New upstream release.
* Strip trailing slash from metacpan URLs.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.5.
2013-10-02 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.08-1) unstable; urgency=low
* New upstream release.
* Update years of packaging copyright.
2013-05-24 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.07-1) unstable; urgency=low
* New upstream release.
Fixes "Encoding bug within libflickr-api-perl (utf8)"
(Closes: #709476)
2013-05-16 - Xavier Guimard <x.guimard@free.fr>
libflickr-api-perl (1.06-1) unstable; urgency=low
* Imported Upstream version 1.06
* Update debian/copyright years
* Add libhttp-message-perl dependency
2013-04-01 - Xavier Guimard <x.guimard@free.fr>
libflickr-api-perl (1.05-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Relicensed under Perl Artistic v 2.0
* Added myself to Uploaders, updated Copyright
* Added full text of Artistic2 to copyright; not in common-licenses
[ gregor herrmann ]
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ryan Niebur ]
* Email change: Jonathan Yu -> jawnsy@cpan.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Xavier Guimard ]
* Imported Upstream version 1.05
* Update source format to 3.0 (quilt)
* Bump Standards-Version to 3.9.4
* Use debhelper 8
* Remove libcompress-zlib-perl from dependencies (now included in Perl)
* Update debian/copyright (years and format)
* Remove "--with-quilt" old arg from debian/rules
* Remove patch unneeded now
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
2008-11-04 - gregor herrmann <gregoa@debian.org>
libflickr-api-perl (1.01-3) unstable; urgency=low
* Drop patch should_query_for_tags_not_elements, breaks with newer
libxml-parser-lite-tree-perl. Bump versioned dependency on
libxml-parser-lite-tree-perl to >= 0.08. Thanks to Mark Broadbent for the
bug report. Closes: #504481
* debian/copyright: refresh formatting, update years of upstream copyright.
* Set debhelper compatibility level to 7; adapt
debian/{control,compat,rules}. Drop cdbs from build dependencies.
* Add /me to Uploaders.
* Don't install almost empty README any more.
* debian/watch: extended regexp for matching upstream releases.
2008-10-17 - Gunnar Wolf <gwolf@debian.org>
libflickr-api-perl (1.01-2) unstable; urgency=low
* Switched over the patch system to quilt
* Fixed bug that called the wrong method on the API, resulting in many
operations being unperformable (Closes: #5023312)
2008-10-12 - Gunnar Wolf <gwolf@debian.org>
libflickr-api-perl (1.01-1) unstable; urgency=low
[ Gunnar Wolf ]
* New upstream release
* Standards-version -> 3.8.0 (no changes needed)
[ Martín Ferrari ]
* Updating my email address

See Also

Package Description
libflickr-upload-perl_1.40-1_all.deb module for uploading images to flickr.com
libflickrnet-cil-dev_2.2.0-4_all.deb Flickr.Net API Library
libflickrnet2.2-cil_2.2.0-4_all.deb Flickr.Net API Library
libflint-2.4.4_2.4.4-2_amd64.deb C library for number theory, shared library
libflint-dev_2.4.4-2_amd64.deb C library for number theory, development files
libflint-doc_2.4.4-2_all.deb Documentation for the FLINT library
libflite1_1.4-release-12_amd64.deb Small run-time speech synthesis engine - shared libraries
libfloat-coq_8.4-4_all.deb Coq library on floating-point arithmetic
libflorence-1.0-1_0.6.2-2_amd64.deb extensible and scalable virtual keyboard for X
libflorence-1.0-dev_0.6.2-2_amd64.deb extensible and scalable virtual keyboard for X
libflorist2014-dev_2014-1_amd64.deb POSIX.5 Ada interface to operating system services: development
libflorist2014_2014-1_amd64.deb POSIX.5 Ada interface to operating system services: shared library
libflowcanvas-dev_0.7.1+dfsg0-0.3_amd64.deb interactive widget for “boxes and lines” environments - header files
libflowcanvas5_0.7.1+dfsg0-0.3_amd64.deb interactive widget for “boxes and lines” environments
libfltk-cairo1.3_1.3.2-6+b1_amd64.deb Fast Light Toolkit - Cairo rendering layer support
Advertisement
Advertisement